package ams.com.ams.jdbcdebug.test;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Properties;

/**
 * <p>タイトル: JDBCDebugTest002</p>
 * <p>説明: exexuteBatch のテスト</p>
 * <p>Created on 2003/10/01</p>
 * @author 門田明彦
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest005_batch {


	public static void main(String[] args)
		throws
			InstantiationException,
			IllegalAccessException,
			ClassNotFoundException,
			SQLException, InterruptedException {

		// init		
		Driver db_driver =
			(Driver) Class
				.forName("ams.com.ams.jdbcdebug.sql.Driver")
				.newInstance();
		Properties props = new Properties();
		props.put("user", "bermuda");
		props.put("password", "XG7G5A83");

		// get connection
		Connection c =
			db_driver.connect(
				"jdbc:oracle:thin:@r-srv02:1521:global",
				props);
		
		// execute Batch
    
    
		PreparedStatement pst = c.prepareStatement("INSERT INTO AMSTEST1 VALUES(?)");
    for(int i = 0; i < 3; i++) {
      pst.setString(1, "sam" + i);
      pst.addBatch();
    }
    // int[] r = pst.executeBatch();
    pst.executeBatch();

		pst.close();
		c.close();
	}
}
