package ams.com.ams.jdbcdebug.test;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import junit.framework.TestCase;

/**
 * <p>
 * DriverManager呼び出しテスト
 * </p>
 * <p>
 * create date 2005/08/23
 * </p>
 * 
 * @author Monden Akihiko
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest010_DriverManager extends TestCase {

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * DriverManagerによるドライバロードのテスト
	 * @throws ClassNotFoundException
	 * @throws SQLException
	 */
	public void testDriverManager() throws ClassNotFoundException, SQLException {
		Class.forName("org.postgresql.Driver");

		String url = "jdbc:postgresql://129.160.48.82/FWPRJ";
		Connection con = DriverManager.getConnection(url, "postgres",
				"206xswin");
        
    assertNotNull(con);
    
    con.close();
    assertTrue(con.isClosed());
	}
}