package ams.com.ams.jdbcdebug.test;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Properties;

/**
 * <p>タイトル: JDBCDebugTest006_mysql</p>
 * <p>説明: MySQLとの接続テスト</p>
 * <p>Created on 2003/10/01</p>
 * @author 門田明彦
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest006_mysqleuc {


	public static void main(String[] args)
		throws
			InstantiationException,
			IllegalAccessException,
			ClassNotFoundException,
			SQLException, InterruptedException {

		// init		
		Driver db_driver =
			(Driver) Class
				.forName("ams.com.ams.jdbcdebug.sql.Driver")
				.newInstance();
		Properties props = new Properties();
		props.put("user", "trans");
		props.put("password", "t79rp90");

		// get connection
		Connection c =
			db_driver.connect(
				"jdbc:mysql://otonashi:3306/pref?useUnicode=true&characterEncoding=EUC_JP",
				props);
		
		PreparedStatement pst = c.prepareStatement("SELECT * FROM MstPref");
    
    ResultSet rs = pst.executeQuery(); // -> output log
    while(rs.next()) {
        System.out.println(rs.getString("PrefCd") + ":" + rs.getString("prefName"));
    }
    
    rs.close();
		pst.close();
		c.close();
	}
}
