package ams.com.ams.jdbcdebug.test;

import java.sql.Connection;
import java.sql.Driver;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Properties;

/**
 * <p>
 * タイトル: JDBCDebugTest008_valuecheck_valueCheck
 * </p>
 * <p>
 * 説明: ValueCheckテスト
 * </p>
 * <p>
 * Created on 2003/10/01
 * </p>
 * 
 * @author 門田明彦
 * @version $Revision: 1.1 $
 */
public class JDBCDebugTest009_LoopExcuteQuery {

    public static void main(String[] args) throws InstantiationException,
            IllegalAccessException, ClassNotFoundException,
            InterruptedException, SQLException {

        Driver db_driver = (Driver) Class.forName(
                "ams.com.ams.jdbcdebug.sql.Driver").newInstance();
        Properties props = new Properties();
        props.put("user", "trans");
        props.put("password", "t79rp90");

        // get connection
        Connection c = null;

        try {
            c = db_driver.connect(
                    "jdbc:mysql://localhost:3306/mp1_test?useUnicode=true&characterEncoding=SJIS", props);
            
            Statement st = c.createStatement();
            
            for(int i = 0; i < 10000000; i++) {
	            ResultSet rs = st.executeQuery("select * from Member,Medical");
	            rs.close();
            }
            
//            rs = st.executeQuery("select * from Member,MedicalA");
//            rs.close();
            st.close();
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            if (c != null) {
                c.close();
            }
        }
        
    }

}